/*defaultModal*/
.defaultModal-class
{
    display: none;
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}
.defaultModal-show
{
    display: block;
}
.defaultModal-content
{
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    
    min-width: 20%;
    max-width: 90%;

    min-height: 20%;
    max-height: 90%;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px;

    overflow: auto;
}
.defaultModal-close
{
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.defaultModal-close::after 
{
    content: "\2716";
}
.defaultModal-close:hover,
.defaultModal-close:focus 
{
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

/*rightModal*/
.rightModal-class
{
    transition: visibility 0.5s, opacity 0.5s ease-in-out;
    visibility: hidden;
    opacity: 0;

    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
    overflow: hidden;

    pointer-events: none;
}
.rightModal-show
{
    visibility: visible;
    opacity: 1;
    pointer-events: all;
}
.rightModal-show .rightModal-content
{
    visibility: visible;
    /*right: 0%*/
    transform: translate(0%,0%);
}
.rightModal-content
{
    transition: visibility 0.5s, transform 0.5s ease-in-out;
    visibility: hidden;
    /*right: -50%;*/
    transform: translate(100%,0%);

    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    position: absolute;
    right: 0%;
    padding: 10px;
    width: 50%;
    height: 100%;
    overflow: auto;
}
.rightModal-close
{
    color: #aaaaaa;
    /*float: left;*/
    font-size: 28px;
    font-weight: bold;
}
.rightModal-close::after 
{
    content: "\027A4";
}
.rightModal-close:hover,
.rightModal-close:focus 
{
    color: #000;
    text-decoration: none;
    cursor: pointer;
}


/*leftModal*/
.leftModal-class
{
    transition: visibility 0.5s ease-in-out;
    visibility: hidden;

    position: absolute;
    z-index: 0;
    right: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
    background-color: rgb(0, 0, 0, 0);

    pointer-events: none;
}
.leftModal-show
{
    visibility: visible;
}
.leftModal-show .leftModal-content
{
    visibility: visible;
    /*right: 0%*/
    transform: translate(60px, 0%);
}
.leftModal-content
{
    width: 320px;
    transition: visibility 0.5s, transform 0.5s ease-in-out;
    visibility: hidden;
    /*right: -50%;*/
    transform: translate(60px, -100%);

    background-color: #666666;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    position: absolute;
    left: 0%;
    padding: 10px;
    /*width: 50%;*/
    height: 100%;
    overflow: auto;

    pointer-events: all;
}
.leftModal-close
{
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.leftModal-close::after 
{
    content: "\1F845";
    color: white;
}
.leftModal-close:hover,
.leftModal-close:focus 
{
    color: #000;
    text-decoration: none;
    cursor: pointer;
}


/*loading*/
.loadingModal-class
{
    display: none;
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    /*background-color: rgb(0, 0, 0);*/
    background-color: rgba(0, 0, 0, 0.4);

    z-index: 2;
}
.loadingModal-show 
{
    display: block;
}
.loadingModal-content{}
.loadingModal-content::after
{
    content: "";
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 160px;
    height: 160px;
    margin: -80px 0 0 -80px;
    border-radius: 100%;
    border: 10px solid #fff;
    border-color: #fff transparent #000 transparent;
    animation: loadingModal-spin 0.5s linear infinite;
}
@keyframes loadingModal-spin 
{
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.loadingModal-close {}


/*nicht fertiges element*/
.loadingModalLogo-class
{
    display: none;
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    /*background-color: rgb(0, 0, 0);*/
    background-color: rgba(0, 0, 0, 0.4);
}
.loadingModalLogo-show 
{
    display: block;
}
.loadingModalLogo-content{}
.loadingModalLogo-content::after
{
    background-image: url("https://www.infoscan.de/fileadmin/templates/img/logo.png");
    background-color: white;

    content: "";
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 300px;
    height: 74px;
    margin: -37px 0 0 -150px;
    border-color: #fff transparent #000 transparent;
    animation: loadingModal-spin 10.5s linear infinite;
}
@keyframes loadingModal-spin 
{
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/*
.defaultModal > .modalShow{}
.rightModal > .modalShow{}
*/


/*glassModal*/
.glassModal-content {
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.9);
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
    padding: 0;
}

.glassModal-close {
    padding-top: 10px;
    padding-right: 15px;
}